//! \file AE3ErrorDef.h
//! \brief Fehlerdefinitionen.
//////////////////////////////////////////////////////////////////////

#ifndef _AE3ERRORDEF_H_
#define _AE3ERRORDEF_H_

// Fehlerdefinitionen
#undef ERROR_NO
#undef ERROR_CRC
#undef ERROR_NO_DATA

#define ERROR_NO            0  // Kein Fehler
#define ERROR_CRC			1  // CRC Fehler
#define ERROR_COM_INIT		2  // Oeffnen der Schnittstelle fehlgeschlagen
#define ERROR_COM_CLOSED	3  // Schnittstelle ist geschlossen
#define ERROR_COM			4  // Allgemeiner Fehler waehrend Kommunikation
#define ERROR_NO_ANSWER 	5  // Geraet antwortet nicht mehr
#define ERROR_AT_SENDING	6  // Fehler waehrend senden eingetreten
#define ERROR_AT_RECIEVING	7  // Fehler waehrend empfang eingetreten
#define ERROR_SENDER		8  // Antwort von falschem Geraet oder Antwort nicht sinnvoll
#define ERROR_BUS_NUM		9  // Keine gueltige Busnummer (1 - 31, 254)
#define ERROR_CHANNEL		10 // Kanal nicht vorhanden oder nicht erstellbar.
#define ERROR_OPEN			11 // Oeffnen einer Datei gescheitert
#define ERROR_FORMAT		12 // z.B. falsches Format einer Setup-Datei
#define ERROR_LIST			13 // Fehler bei Listendatenverarbeitung
#define ERROR_FW_VERSION	14 // Firmwareversion nicht kompatible zu Routine
#define ERROR_IS_DATA		15 // Es sind noch Daten im Geraet vorhanden.
#define ERROR_BREAK			16 // Durchfuehrung wurde von Anwender abgebrochen
#define ERROR_NO_RD			17 // Keine Datensatzbeschreibung geladen
#define ERROR_NO_LD			18 // Keine Listenbeschreibung geladen.
#define ERROR_FLASH_PROG	19 // Fehler beim Programmieren des Flash, Firmware.
#define ERROR_RANGE         20 // Parameter einer Funktion ausserhalb ihres Gueltigkeitsbereiches.
#define ERROR_NOT_DEFINED   21 // Globale Variable nicht definiert.
#define ERROR_NO_DATA       22 // Anfrage obwohl keine Daten.

#endif