#include "DFComUtils.h"
#include <string.h>

// Prueft ob die uebergebene Firmwareversion unterstuetzt wird
int CDFComUtils::CheckVersionFirmware(char *version)
{
	// Unterstuetzung von:
	// 03.01. [00 .. MAX_BUILD_AEIII]
	// 04.00. [00 .. MAX_BUILD_AEIV_00]
	// 04.01. [00 .. MAX_BUILD_AEIV_01]
	int res = 0;

	// Versionsstring faengt mit 03.01. an?
	if (strstr(version, "03.01.") == version) {

		if (((version[6] - 0x30) * 10 + (version[7] - 0x30)) <= MAX_BUILD_AEIII) {

			res = 1;
		}
	} else // Versionsstring faengt mit 04.00. an?
	if (strstr(version, "04.00.") == version) {

		if (((version[6] - 0x30) * 10 + (version[7] - 0x30)) <= MAX_BUILD_AEIV_00) {

			res = 1;
		}
	} else // Versionsstring faengt mit 04.01. an?
	if (strstr(version, "04.01.") == version) {

		if (((version[6] - 0x30) * 10 + (version[7] - 0x30)) <= MAX_BUILD_AEIV_01) {

			res = 1;
		}
	} else // Versionsstring faengt mit 04.02. an?
	if (strstr(version, "04.02.") == version) {

		if (((version[6] - 0x30) * 10 + (version[7] - 0x30)) <= MAX_BUILD_AEIV_02) {

			res = 1;
		}
	} else // Versionsstring faengt mit 04.03. an?
	if (strstr(version, "04.03.") == version) {

		if (((version[6] - 0x30) * 10 + (version[7] - 0x30)) <= MAX_BUILD_AEIV_03) {

			res = 1;
		}
	}

	return res;
}

// Prueft ob die erste Zutrittskontrolle unterstuetzt wird.
int CDFComUtils::CheckVersionFirmwareZKOld(char *version)
{
	// Unterstuetzung von:
	// 03.01. [00 .. 21]
	// 04.00. [00 .. 21]
	int res = 0;

	// Versionsstring faengt mit 03.01. an?
	if (strstr(version, "03.01.") == version) {

		if ((((version[6] - 0x30) * 10 + (version[7] - 0x30)) <= MAX_BUILD_AEIII) && strstr(&version[8], "ZK")) {

			res = 1;
		}
	} else // Versionsstring faengt mit 04.00. an?
	if (strstr(version, "04.00.") == version) {

		if (((version[6] - 0x30) * 10 + (version[7] - 0x30)) <= MAX_BUILD_AEIV_00) {

			res = 1;
		}
	}

	return res;
}

